# Widget Struct Reference

Window widget data structure. More...

`#include <widget_type.h>`

## Data Fields
WidgetType | type
| Widget type.
DisplayFlags | display_flags
| Resize direction, alignment, etc. during resizing.
Colours | colour
| Widget colour, see docs/ottd-colourtext-palette.png.
int16 | left
| The left edge of the widget.
int16 | right
| The right edge of the widget.
int16 | top
| The top edge of the widget.
int16 | bottom
| The bottom edge of the widget.
uint16 | data
| The String/Image or special code (list-matrixes) of a widget.
StringID | tooltips
| Tooltips that are shown when rightclicking on a widget.

## Detailed Description

Window widget data structure.

Definition at line 114 of file widget_type.h.

The documentation for this struct was generated from the following file:

- src/widget_type.h